Bug 1252583 - [GSS](6.4.z) Naming store is null before CDI lifecycle BeforeShutdown event fires
Summary: [GSS](6.4.z) Naming store is null before CDI lifecycle BeforeShutdown event f...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CDI/Weld
Version: 6.2.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.5
Assignee: Ryan Emerson
QA Contact: Matej Novotny
URL:
Whiteboard:
Depends On:
Blocks: 1235745 1281618
TreeView+ depends on / blocked
 
Reported: 2015-08-11 19:34 UTC by Ger-Jan te Dorsthorst
Modified: 2019-12-16 04:52 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker WFLY-5232 Major Closed Naming store is null before CDI lifecycle BeforeShutdown event fires 2020-07-31 18:56:34 UTC

Description Ger-Jan te Dorsthorst 2015-08-11 19:34:19 UTC
Description of problem:

A CDI extension has a BeforeShutdown event handler that looks up the UserTransaction and performs a clean-up operation. If the application is undeployed, all works as expected, but EAP is shut down (gracefully), the lookup fails.

It looks like EAP is stopping the subsystems before firing the CDI event.

Version-Release number of selected component (if applicable):

6.2.4

How reproducible:

The issue is reproducible with the reproducer attached to Red Hat support case 01487736.

Steps to Reproduce:

Comment #16 in the associated support case.

Actual results:

Lookup fails in BeforeShutdown handler because NamingStore is null.

Expected results:

NamingStory should not be null.

Additional info:

Comment 1 Ger-Jan te Dorsthorst 2015-08-11 19:35:12 UTC
Possibly fixed upstream in https://issues.jboss.org/browse/WFLY-1886.

Comment 29 Matej Novotny 2015-11-05 07:20:26 UTC
Setting status to verified.
Reproduced with provided reproducer, then verified it's gone with 6.4.5.CP.CR1.

Comment 32 Petr Penicka 2017-01-17 11:42:39 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Comment 33 Petr Penicka 2017-01-17 11:42:59 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.


Note You need to log in before you can comment on or make changes to this bug.